alfresco-ng2-components/scripts/npm-build-all.sh
Denys Vuika 6b24bfb1d4 [ADF-3299] and [ADF-3300] upgrade to Angular and Material 6 (#3579)
* upgrade to HttpClient

* upgrade to Renderer2

* upgrade Document reference

* remove useless test with deprecated ReflectiveInjector

* upgrade to latest typescript

* upgrade libs

* upgrade package scripts

* remove rxjs blacklists and duplicate rules

* add rxjs compat to help with migration

* fix breaking changes

* fix breaking changes in material

* fix breaking changes (material 6)

* upgrade rxjs, ngx-translate and flex layout

* update unit tests

* restore providers

* upgrade deprecated Observable.error

* rebase
fix first configuration problems

* fix style issues commented

* fix core build

* fix lib template errors

* move lib test execution in angular.json

* ignore

* karma conf files

* fix import statement test

* single run option

* update packages reporter

* restore report

* increase timeout

* improve karma conf test configuration

* fix test issues about lint

* fix test analytics

* fix process service test

* content service fix test

* fix logout directive test

* fix core test

* fix build

* update node-sass to latest

* update angular cli dependencies

* improve build script

create directorites and move files only if previous command succeded

* upgrade individual libs to 6.0

* remove old webpack files

* revert sass change

* fix type issues
fix style issues

* fix tslint demo shell issue

* fix peerdependencies

* fix test e2e BC

* package upate

* fix style import issue

* extract-text-webpack-plugin beta

* fix test dist build command

* remove alpha js-api

* fix tslint issue
add banner tslint rule

* upload service fix

* change BC script

* fix test dist script

* increase demo shell timeout test

* verbose copy

* path absolute

* fix script bc

* fix copy part

* fix path warning
fix monaco editor

* remove duplicate header

* remove unused import

* fix align and check ago tests

* add missing import

* fix notification button selector

* [ANGULAR6] fixed core tests

* fix CS test

* fix cs test step 2

* increase travis_wait for dist

* fix attachment PS

* fix checklist test

* use pdf min
2018-08-14 15:42:43 +01:00

167 lines
4.1 KiB
Bash
Executable File

#!/usr/bin/env bash
set -f
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
eval RUN_TEST=false
eval RUN_TESTBROWSER=false
eval EXEC_CLEAN=false
eval EXEC_BUILD=true
eval EXEC_INSTALL=true
eval EXEC_SINGLE_TEST=false
eval EXEC_GIT_NPM_INSTALL_JSAPI=false
eval GIT_ISH=""
eval SINGLE_TEST=""
eval EXEC_VERSION_JSAPI=false
eval JSAPI_VERSION=""
eval projects=( "core"
"content-services"
"insights"
"process-services" )
show_help() {
echo "Usage: npm-build-all.sh"
echo ""
echo "-t or --test <pkg> Build your local components and run their tests, this parameter also accept a wildecard to execute test e.g: -t "core"."
echo "-d or --debug <pkg> Build your local components and run their tests IN THE BROWSER, this parameter also accept a wildecard to execute test e.g: -t "core"."
echo "-c or --clean Clean the node_modules before starting the build."
echo "-si or --skipinstall Skip the install of node_modules before starting the build."
echo "-sb or --skipbuild Skip the build of ng-components."
echo "-gitjsapi <commit-ish> Build all the components against a commit-ish version of the JS-API"
echo "-vjsapi <commit-ish> Install different version from npm of JS-API defined in the package.json"
}
enable_test(){
if [[ ! -z $1 ]]; then
if [[ $1 != "-"* ]]; then
EXEC_SINGLE_TEST=true
SINGLE_TEST=$1
fi
fi
RUN_TEST=true
}
enable_testbrowser(){
if [[ ! -z $1 ]]; then
if [[ $1 != "-"* ]]; then
EXEC_SINGLE_TEST=true
SINGLE_TEST=$1
fi
fi
RUN_TESTBROWSER=true
}
test_project() {
echo "====== test project: $1 ====="
ng lint $1 || exit 1
ng test $1 --watch=false || exit 1
}
debug_project() {
echo "====== debug project: $1 ====="
ng lint $1 || exit 1
ng test $1 || exit 1
}
enable_js_api_git_link() {
GIT_ISH='git://github.com/Alfresco/alfresco-js-api.git#'$1
EXEC_GIT_NPM_INSTALL_JSAPI=true
}
version_js_api() {
JSAPI_VERSION=$1
if [[ "${JSAPI_VERSION}" == "" ]]
then
echo "JSAPI version required with -vJSApi"
exit 0
fi
EXEC_VERSION_JSAPI=true
}
clean() {
EXEC_CLEAN=true
}
exclude_build(){
EXEC_BUILD=false
}
exec_install(){
EXEC_INSTALL=false
}
while [[ $1 == -* ]]; do
case "$1" in
-h|--help|-\?) show_help; exit 0;;
-t|--test) enable_test $2;
shift;
if $EXEC_SINGLE_TEST == true; then
shift;
fi
;;
-d|--debug) enable_testbrowser $2; shift; if $EXEC_SINGLE_TEST == true; then shift; fi ;;
-gitjsapi) enable_js_api_git_link $2; shift 2;;
-vjsapi) version_js_api $2; shift 2;;
-c|--clean) clean; shift;;
-si|--skipinstall) exec_install; shift;;
-sb|--skipbuild) exclude_build; shift;;
-*) echo "invalid option: $1" 1>&2; show_help; exit 1;;
esac
done
cd "$DIR/../"
if $EXEC_CLEAN == true; then
echo "====== Clean components ====="
npm install rimraf -g
npm run clean
fi
if $EXEC_INSTALL == true; then
echo "====== Install components dependencies ====="
npm install
fi
if $EXEC_GIT_NPM_INSTALL_JSAPI == true; then
echo "====== Use the alfresco JS-API '$GIT_ISH'====="
npm install $GIT_ISH --no-save
cd "$DIR/../node_modules/alfresco-js-api"
npm install
cd "$DIR/../"
fi
if $EXEC_VERSION_JSAPI == true; then
echo "====== Use the alfresco JS-API '$JSAPI_VERSION'====="
npm install alfresco-js-api@${JSAPI_VERSION} --no-save
fi
if $EXEC_BUILD == true; then
echo "====== Build components ====="
npm run build-lib || exit 1
fi
if $RUN_TEST == true; then
if $EXEC_SINGLE_TEST == true; then
test_project $SINGLE_TEST
else
for PACKAGE in ${projects[@]}
do
test_project $PACKAGE
done
fi
fi
if $RUN_TESTBROWSER == true; then
if $EXEC_SINGLE_TEST == true; then
debug_project $SINGLE_TEST
else
for PACKAGE in ${projects[@]}
do
debug_project $PACKAGE
done
fi
fi